Subject: [bug#72714] [PATCH] home: services: Add 'home-sway-service-type'.

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sun, 06 Oct 2024 11:51:00 +0200

Arnaud Daby-Seesaram <[email-masked]> writes:
>> Normally scm->go is probably unneeded here, because guile will find the compiled
>> .go file.  However program-file seems to add --no-auto-compile.  Not
>> sure now.
> I do not know why the flag --no-auto-compile is passed either.
>

I am not sure if program-file or scheme-file should be preferred.

>> Another more thing.  I try (bar (sway-bar)), but it prints an empty bar
>> configuration to .config/sway/config.  In patch 6, you added
>> no-serialization.  Did this break it?
>
> Hmmm, I am not sure.
> It is normal that `(sway-bar)' is an empty bar configuration (as all bar
> fields are now optional or empty by default).

Ooops, the identifier is not written, of course.

(bar (sway-bar
      (position 'top)))

is fine.  Not sure what defaults are best.

Arnaud Daby-Seesaram <[email-masked]> writes:
>>>   (receive (from to pid)
>>>       ((@@ (ice-9 popen) open-process) OPEN_BOTH wmenu)
>>
>> Better use @ instead of @@.
> Unfortunately, `open-process' is not exported in `(ice-9 popen)', so I
> kept @@.
>

Not sure if exported open-pipe* would be better.  open-process is
checked in guile tests, but not exported, that is right.  But maybe a
red flag not to use it.

> It is nice that this works too.
> NB: if you want, you can use `(file-append pkg "stuff")' instead of
>     `#~(string-append #$pkg "stuff")'.

Oops yes.

Regards,
Florian